<?php get_header(); ?>
<?php if( !isset( $magomra_options ) ) $magomra_options = get_option( 'magomra-theme-options', magomra_default_options() ); ?>

<div id="content">
<?php while ( have_posts() ) : the_post() ?>
	<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php echo 'Permalink to ' . the_title_attribute( 'echo=false' ); ?>" rel="bookmark"><?php $magomra_post_title = the_title( null, null, false ); echo ( empty( $magomra_post_title ) ) ? '(no title)' : $magomra_post_title; ?></a></h2>
 
				<div class="entry-meta">

<?php if( $magomra_options['hide_post_author'] != 1 ) { ?>

			<span class="meta-pre">By </span>
			<span class="author vcard">
				<a href="<?php echo get_author_posts_url( $authordata->ID, $authordata->user_nicename ); ?>" title="View all posts by <?php echo $authordata->display_name; ?>" rel="author"><?php the_author(); ?></a>
			</span>
			<?php if( $magomra_options['hide_post_date'] != 1 ) { ?> <span class="meta-sep"> | </span><?php } ?>

<?php } ?>
<?php if( $magomra_options['hide_post_date'] != 1 ) { ?>

			<span class="meta-pre">Published </span>
			<span class="entry-date"><abbr class="published" title="<?php the_time( 'Y-m-d\TH:i:sO' ) ?>"><?php the_time( get_option( 'date_format' ) ); ?></abbr>
			</span>
			
<?php } ?>
			<?php edit_post_link( 'Edit', '<span class="meta-sep"> | </span><span class="edit-link">', '</span>'); ?>
		</div><!-- /entry-meta -->
 
		<div class="entry-content">
			<?php if( wp_attachment_is_image( $post->id ) ) : $att_image = wp_get_attachment_image_src( $post->id, "medium"); ?>
					<p class="attachment"><a href="<?php echo wp_get_attachment_url($post->id); ?>" title="<?php the_title(); ?>" rel="attachment"><img src="<?php echo $att_image[0]; ?>" width="<?php echo $att_image[1];?>" height="<?php echo $att_image[2];?>"  class="attachment-medium" alt="<?php $post->post_excerpt; ?>" /></a></p>
			<?php else : ?>
					<a href="<?php echo wp_get_attachment_url($post->ID) ?>" title="<?php echo esc_html( get_the_title($post->ID), 1 ) ?>" rel="attachment"><?php echo basename($post->guid) ?></a>
					
			<?php endif; ?>
			<?php the_content(); ?>
			<?php wp_link_pages( 'before=<div class="page-link">Pages: &after=</div>' ); ?>
		</div><!-- /entry-content -->
 
		<div class="entry-utility">
                    <?php printf( 'Bookmark the <a href="%1$s" title="Permalink to %2$s" rel="bookmark">permalink</a>. Follow any comments here with the <a href="%3$s" title="Comments RSS to %2$s" rel="alternate" type="application/rss+xml">RSS feed for this post</a>.',
                        get_permalink(),
                        the_title_attribute( 'echo=0' ),
                        get_post_comments_feed_link() ); ?>
 
<?php 
	if( $post->comment_status == 'open'  &&  $post->ping_status == 'open' ) 
		$magomra_comment_status = '<a class="comment-link" href="#respond" title="Post a comment">Post a comment</a> or <a class="trackback-link" href="' . get_trackback_url() . '" title="Trackback URL for your post" rel="trackback">leave a trackback</a>.';
		
	elseif ( $post->comment_status != 'open'  &&  $post->ping_status == 'open' ) 
		$magomra_comment_status = 'Comments are closed, but you can <a class="trackback-link" href="' . get_trackback_url() . '" title="Trackback URL for your post" rel="trackback">leave a trackback</a>.';

	elseif ( $post->comment_status == 'open'  &&  $post->ping_status != 'open' ) 
		$magomra_comment_status = 'Trackbacks are closed, but you can <a class="comment-link" href="#respond" title="Post a comment">post a comment</a>.';
		
	elseif ( $post->comment_status != 'open'  &&  $post->ping_status != 'open' ) 
		$magomra_comment_status = 'Both comments and trackbacks are currently closed.';
	
	echo $magomra_comment_status;
?>		
					
<?php edit_post_link( 'Edit', '<span class="edit-link">', '</span>' ); ?>
                    </div><!-- .entry-utility -->
	</div><!-- /post-<?php the_ID(); ?>-->

<?php endwhile; ?>

		<?php comments_template( '', true ); ?>

		<?php previous_post_link( '%link', '<div class="post-navigation-prev"><span class="white">%title &raquo;</span></div>' ); ?>

</div><!-- /content -->

<?php get_sidebar(); ?>

<?php get_footer(); ?>